com.h3c.util.persistence.cassandra.entitymgr.column

## Class ColumnVisitorAdapter<K extends Serializable & Comparable<K>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.entitymgr.column.ColumnVisitorAdapter<K>

- Type Parameters:
    `K` - type of the column key or name
  All Implemented Interfaces:
    ColumnVisitor<K>

      public class ColumnVisitorAdapter<K extends Serializable & Comparable<K>>
      extends Object
      implements ColumnVisitor<K>

  Column visitor adapter. An abstract adapter class for visiting columns. The methods in this class are empty. This class exists as convenience for creating column visitors.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ColumnVisitorAdapter()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `visit(BooleanColumn<K> column)` Method visit.
    `void` | `visit(ByteArrayColumn<K> column)` Method visit.
    `void` | `visit(ByteColumn<K> column)` Method visit.
    `void` | `visit(CustomColumn<K,?> customColumn)` Method visit.
    `void` | `visit(DateColumn<K> column)` Method visit.
    `void` | `visit(DoubleColumn<K> column)` Method visit.
    `void` | `visit(EnumColumn<K,? extends Enum<?>> column)` Method visit.
    `void` | `visit(FloatColumn<K> column)` Method visit.
    `void` | `visit(IntegerColumn<K> column)` Method visit.
    `void` | `visit(LongColumn<K> column)` Method visit.
    `void` | `visit(StringColumn<K> column)` Method visit.
    `void` | `visit(ValuelessColumn<K> valuelessColumn)` Method visit.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ColumnVisitorAdapter

          public ColumnVisitorAdapter()

  - ### Method Detail

    - #### visit

          public void visit(BooleanColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - BooleanColumn

    - #### visit

          public void visit(ByteColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - ByteColumn

    - #### visit

          public void visit(ByteArrayColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - ByteArrayColumn

    - #### visit

          public void visit(DateColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - DateColumn

    - #### visit

          public void visit(DoubleColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - DoubleColumn

    - #### visit

          public void visit(FloatColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - FloatColumn

    - #### visit

          public void visit(IntegerColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - IntegerColumn

    - #### visit

          public void visit(LongColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - LongColumn

    - #### visit

          public void visit(StringColumn<K> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - StringColumn

    - #### visit

          public void visit(EnumColumn<K,? extends Enum<?>> column)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `column` - EnumColumn

    - #### visit

          public void visit(CustomColumn<K,?> customColumn)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `customColumn` - CustomColumn

    - #### visit

          public void visit(ValuelessColumn<K> valuelessColumn)

      Method visit.
      Specified by:
        `visit` in interface `ColumnVisitor<K extends Serializable & Comparable<K>>`
      Parameters:
        `valuelessColumn` - ValuelessColumn

Copyright © 2014. All Rights Reserved.